Themabewertung:
  • 0 Bewertung(en) - 0 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
datenbank überlegung zum ze1.0
#1
moin moin


hier ich mal wieder. ich bin am überlegen den ze1.0 so anzupassen dass er unter php 7.2.14 und folgende mit pdo läuft. unter folgender serverconfiguration lief bis vor 2 wochen noch alles.
Database server
Server: xxxx via TCP/IP
Software: MariaDB
Software version: 10.1.30-MariaDB-1~xenial - mariadb.org binary distribution
Protocol version: 10
User: xxxx@10.27.18.48
Server charset: UTF-8 Unicode (utf8)
Web server
nginx/1.10.3
Database client version: libmysql - mysqlnd 5.0.10 - 20111026 - $Id: c85105d7c6f7d70d609bb4c000257868a40840ab $
PHP extension: mysqli 
PHP version 7.1.25

nun leider vorigen donnerstag haben die meinen server auch umgestellt auf 

Database server
Server: xxxxvia TCP/IP
Software: MariaDB
Software version: 10.3.10-MariaDB-1:10.3.10+maria~bionic - mariadb.org binary distribution
Protocol version: 10
User: xxxx@10.27.32.48
Server charset: UTF-8 Unicode (utf8)
Web server
nginx/1.14.0
Database client version: libmysql - mysqlnd 5.0.12-dev - 20150407 - $Id: 38fea24f2847fa7519001be390c98ae0acafe387$
PHP extension: mysqli
PHP version 7.2.14

was die php version angeht gab es bis zum  overkill des chats lkeine probleme. jetzt die frage. wer hat ahnung und interesse an der anpassung mitzuwirken???   es wäre sehr sehr schade wenn das chatsystem den bach runtergeht. hier  die dateiinfo zum ze-chat aus 
dem ze-chat version1.0.xx

<!--
 ** Diese Datei ist Teil von "ZE Chat v1.0".
 **
 ** ZE Chat v1.0" ist eine kostenlose Software. Sie können gerne verwenden und/oder modifizieren.
 ** es unter den Bedingungen der GNU General Public License, wie sie von der Firma
 ** die Free Software Foundation; entweder Version 3 der Lizenz oder
 ** (nach Ihrer Wahl) jede spätere Version.
 **
 ** "ZE Chat v1.0" wird in der Hoffnung verteilt, dass es nützlich sein wird,
 ** aber OHNE JEGLICHE GARANTIE; auch ohne die implizite Garantie von
 ** MARKTFÄHIGKEIT oder Tauglichkeit für einen bestimmten Zweck.  Siehe die
 ** GNU General Public License für weitere Details.
 **
 ** Sie sollten eine Kopie der GNU General Public License erhalten haben.
 ** zusammen mit diesem Programm.  Wenn nicht, siehe http://www.gnu.org/licenses/.
 **
 ** Entwickelt von Alexander Pakusch aka Zion, 2010-2015
 ** Es ist Ihnen nicht gestattet, diese Software zu verkaufen oder die Urheberrechte zu entfernen.
 **
 ** http://www.zevolutions.de/
 ** admin@zevolutions.de
-->

das sagt dass man  die software nutzen und /oder modifizieren darf. es sollte also keine probleme  mit der anpassung geben.  hätte einer von euch  ne idee wie man das bewerkställigen  könnte? das dumme ist dass ich  nun schon nen zweiten chat   kenne wo der ze-chat nimmer geht.
wäre echt toll wenn sich leute finden würden die  uns allen helfen das chatsystem am leben zu erhalten. mfg rené
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht. 
Was lernen wir ? 
Wir entfernen einfach den Nutzer und das Problem ist gelöst !  Tongue
Antworten
#2
Moin René,

die Intention den ZE auf PHP 7 umzurüsten gab's sowohl hier schonmal als auch bei Facebook. Soweit ich mich erinnere, hat das damals wohl irgendwie PatOnTour angeleiert. Leider war der damalige "Programmierer", der das machen wollte ein sehr unangenehmer Zeitgenosse, um nicht zu sagen überheblich (da hat sich übrigens bis jetzt nix dran geändert, hab Erfahrungen in einem anderen Forum mit ihm gesammelt), wodurch das ganze dann wieder im Sande verlief...

Mein Interesse bestünde darin, eine relativ fehlerfreie, sichere und auf PHP 7.x laufende Version des ZE zu erstellen und diese hier zum Download anzubieten. Der ZE war ja soweit ich das in Erinnerung habe, als "fertig" deklariert, bzw. wurde daran ja nicht mehr weiter entwickelt, weil dann ja der Zephyr entstanden ist. Super wäre es meiner Meinung nach, wenn man irgendwann einen ZE-Chat 1.0 FINAL anbieten könnte, mit dem alle leben können. Wer dann noch was zum Ändern findet, muss sich dann halt selbst bemühen (schön wäre es, wenn die Änderungen / Erweiterungen hier der Allgemeinheit zu Verfügung gestellt würden).

Ich selbst bin leider nicht sooo der PHP Freak - bekomme es hin, den Quellcode mit einiger Mühe und viel Google zu verstehen, aber selbst Programmieren ist halt sehr weit weg... Deshalb würde ich mich, wenn gewünscht für "Fleißarbeiten" ala "Suche in sämtlichen Dateien das Vorkommen der Zeichenfolge 'XY' und ersetze sie durch die Zeichenfolge 'AB'" anbieten wollen.

Gruß

Onkel_Unbekannt 
... der Held vom Erdbeerfeld! Cool
Antworten
#3
jo onlelchen ist mir bekannt das pat on tour da dran war. wie mein post ja sagte lief der ze bei mir bis zur umstellung auf maria db 
Software: MariaDB
Software version: 10.3.10-MariaDB-1~bionic
lief der ze1.0  völlig fehlerfrei.
das heisst unter
Software: MariaDB
Software version: 10.1.30-MariaDB-1~xenial
bei mir mit php7.2.14 
ging alles radio-puderzucker vormals radio-würfelzucker hatten das selbe problem mit der mariadb umstellung. und ja mir gehts auch darum dass wir wieder ne laufende ze1.0  zur verfügung haben.
und klar würde ich die dann sofort hier zur verfügung stellen. ist doch das bis dato beste chatsystem das es gibt. na jut habe heute ersten kontakt  wegen  anpassung gehabt, mal alle dauem drücken. mfg rené
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht. 
Was lernen wir ? 
Wir entfernen einfach den Nutzer und das Problem ist gelöst !  Tongue
Antworten
#4
Wäre aber auch nützlich, wenn das ganze dann hier mit drüber liefe, zwecks Kommunikation und eventueller Nachfragen und so...
... der Held vom Erdbeerfeld! Cool
Antworten
#5
na logisch sobald sich die ersten sachen ergeben kommt hier meldung.
mfg rené
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht. 
Was lernen wir ? 
Wir entfernen einfach den Nutzer und das Problem ist gelöst !  Tongue
Antworten
  


Gehe zu:


Benutzer, die gerade dieses Thema anschauen:
1 Gast/Gäste